#ifndef __IO_H
#define __IO_H

#include "inc-gen/data_dictionary.h"

// init, terminate
void init_left_stick();
void term_left_stick();

void init_right_stick();
void term_right_stick();

// NOVAL
GEN_TYPE_boolean is_noval_left_stick();
GEN_TYPE_boolean is_noval_right_stick();

// readers
GEN_TYPE_double read_left_stick();
GEN_TYPE_double read_right_stick();

// writers
void write_left_stick(GEN_TYPE_double value);
void write_right_stick(GEN_TYPE_double value);

#endif // __IO_H
